Temporary area via Workspace

Jul 05, 2017 07:47 PM - Pasquale Pagano

Status: New Start date: Jul 05, 2017

Priority: Normal Due date:  

Assignee: Lucio Lelii % Done: 0%

Category: Data Management Estimated time: 0.00 hour

Target version: HomeLibrary enhancement   

Infrastructure: Pre-Production, Production   

Description

the temporary area should be supported through the Workspace too. 

This means that it should be visible in the workspace and it should be exploitable through the HL API. By having it fully integrated,

then it will become exploitable also by DM and all other applications that exploits the workspace, e.g. RStudio. 

The expiration time should be 2 days. 

Please report on the feasibility of this feature and also report a possible delivery date. 

History

#2 - Aug 02, 2017 04:49 PM - Valentina Marioli

I am not sure I have understood correctly. Do we need to create temporary files through HL or just to show the content of Storage temporary area?

#3 - Aug 02, 2017 05:54 PM - Pasquale Pagano

We need to create temporary files through HL. Clearly then the HL will use the Storage temporary ara for the payloads. 

#4 - Jan 11, 2018 04:32 PM - Emmanuel Blondel

any news on that? 

#5 - Jan 11, 2018 06:11 PM - Pasquale Pagano

- Assignee changed from Valentina Marioli to Lucio Lelii

Please, @lucio.lelii@isti.cnr.it clarifies the feasibility of this activity. It was requested many months ago and it never started. Thanks.

Afterwards, we will discuss the modifications to apply to the workspace with @francesco.mangiacrapa@isti.cnr.it 

#7 - Jan 16, 2018 11:25 AM - Lucio Lelii

This new feature will be implemented in the new version of the Workspace repository service, we can't integrate it in the old version of the service.
